%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-mad
Version:        0.4.4
Release:        %mkrel 22
Summary:        Bindings for the mad library
License:        GPLv2+
Group:          Development/OCaml
URL:            https://sourceforge.net/projects/savonet/files/
Source0:        https://downloads.sourceforge.net/savonet/ocaml-mad/ocaml-mad-%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-rpm-macros
BuildRequires:  pkgconfig(mad)


%description
Bindings for the mad library which provides functions for encoding
wave audio files into mp3.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libmad-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup

%build
# Needed to learn about aarch64
./bootstrap
./configure
%ifnarch %{ocaml_native_compiler}
make byte
%else
make
%endif
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/mad
%make_install

%ocaml_files


%files -f .ofiles
%doc CHANGES README
%license COPYING

%files devel -f .ofiles-devel
%doc doc/html


%changelog
* Sun Jun 22 2025 daviddavid <daviddavid> 0.4.4-22.mga10
+ Revision: 2193844
- rebuild for ocaml 5.3.0

* Wed May 18 2022 pterjan <pterjan> 0.4.4-21.mga9
+ Revision: 1858769
- Rebuild for OCaml 4.14

* Tue Mar 29 2022 umeabot <umeabot> 0.4.4-20.mga9
+ Revision: 1832512
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 0.4.4-19.mga9
+ Revision: 1750964
- Rebuild for ocaml 4.13.1

* Thu Mar 04 2021 tv <tv> 0.4.4-18.mga9
+ Revision: 1697788
- rebuild for ocaml-4.2-12

* Sun Jan 10 2021 pterjan <pterjan> 0.4.4-17.mga8
+ Revision: 1670467
- Rebuild to generate ocamlx provides
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 28 2020 umeabot <umeabot> 0.4.4-16.mga8
+ Revision: 1551162
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.4.4-15.mga8
+ Revision: 1544525
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 tv <tv> 0.4.4-14.mga8
+ Revision: 1483155
- rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 0.4.4-13.mga7
+ Revision: 1324052
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 0.4.4-12.mga7
+ Revision: 1323767
- Rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 0.4.4-11.mga7
+ Revision: 1299893
- Mageia 7 Mass Rebuild

* Sat Jun 16 2018 pterjan <pterjan> 0.4.4-10.mga7
+ Revision: 1237226
- Fix build on aarch64

* Sun Nov 26 2017 tv <tv> 0.4.4-9.mga7
+ Revision: 1179551
- rebuild for new ocaml

* Mon Sep 26 2016 pterjan <pterjan> 0.4.4-8.mga6
+ Revision: 1056421
- Rebuild for fix in ocaml

* Fri Feb 12 2016 umeabot <umeabot> 0.4.4-7.mga6
+ Revision: 956413
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.4-6.mga5
+ Revision: 748105
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.4-5.mga5
+ Revision: 683064
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.4-4.mga4
+ Revision: 508491
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.4.4-3.mga3
+ Revision: 361488
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.4.4-2.mga3
+ Revision: 301669
- new rpm group for ocaml

* Sun Nov 20 2011 malo <malo> 0.4.4-1.mga2
+ Revision: 170017
- imported package ocaml-mad


* Sat Aug 21 2010 Florent Monnier <blue_prawn@mandriva.org> 0.4.0-1mdv2011.0
+ Revision: 571674
- updated to version 0.4.0

* Mon Jan 25 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.6-1mdv2010.1
+ Revision: 496364
- new version

* Mon Aug 10 2009 Florent Monnier <blue_prawn@mandriva.org> 0.3.5-2mdv2010.0
+ Revision: 413705
- patched openfile segfault

* Sat Aug 01 2009 Florent Monnier <blue_prawn@mandriva.org> 0.3.5-1mdv2010.0
+ Revision: 405319
- corrected deps
- import ocaml-mad

